/****************
** UI ELEMENTS **
*****************/

.mm-button {
    border: none;
	border-radius: 50%;
    box-shadow: 2px 2px 8px 0px grey;
	padding: 1rem;
    width: 40px;
    height: 40px;
    margin: 3px;
    outline: none;
}

.mm-button.active {
	background-color: blue;
	color: white;
}

.mm-menu {
	position: fixed;
    bottom: 3rem;
    right: 3rem;
    width: 0px;
    height: 0px;
    z-index: 99999999;
}

.mm-menu > .mm-button {
    background-color: #FF4040;
    color: white;
    font-size: 16pt;
    width: 55px;
    height: 55px;
    position: absolute;
	bottom: 0px;
	right: 0px;
}

.mm-menu > .mm-control {
    position: absolute;
    bottom: 6px;
    right: 100px;
}

.mm-menu > .mm-actions {
	position: absolute;
	bottom: 55px;
	right: 6px;
}

.mm-menu > .mm-stages {
	position: absolute;
	bottom: 6px;
	right: 55px;
}

.mm-selection .mm-menu,
.mm-screenshot .mm-menu,
.mm-screenshot .mm-bubble .mm-toolbar {
	display: none;
}

.mm-selection .mm-highlighted {
	cursor: default;
	outline: 2px solid blue;
}

.mm-bubble {
	position: absolute;
	background-color: red;
	min-width: 100px;
	max-width: 250px;
	min-height: 40px;
    border-radius: 4px;
    padding: 5px;
    color: white;
    z-index: 99999999;
}

.mm-bubble * {
	color: white;
}

.mm-bubble > .mm-arrow {
	position: absolute;
	width: 0;
	height: 0;
}

.mm-bubble.left > .mm-arrow {
	border-top: 6px solid transparent;
	border-bottom: 6px solid transparent;
	border-right: 6px solid red;
	left: -6px;
    top: 15px;
}

.mm-bubble.top > .mm-arrow {
	border-right: 6px solid transparent;
	border-left: 6px solid transparent;
	border-bottom: 6px solid red;
	top: -6px;
    left: calc(50% - 3px);
}

.mm-bubble.bottom > .mm-arrow {
	border-right: 6px solid transparent;
	border-left: 6px solid transparent;
	border-top: 6px solid red;
	bottom: -6px;
    left: calc(50% - 3px);
}

.mm-bubble.right > .mm-arrow {
	border-top: 6px solid transparent;
	border-bottom: 6px solid transparent;
	border-left: 6px solid red;
	right: -6px;
    top: 15px;
}